#!/bin/bash
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/nagios/command.cfg.new

# Fix permisions for the plugins
chmod 775 usr/lib/nagios/plugins/*
( cd usr/lib/nagios/plugins ; rm -rf check_ftp )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_ftp )
( cd usr/lib/nagios/plugins ; rm -rf check_imap )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_imap )
( cd usr/lib/nagios/plugins ; rm -rf check_nntp )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_nntp )
( cd usr/lib/nagios/plugins ; rm -rf check_pop )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_pop )
( cd usr/lib/nagios/plugins ; rm -rf check_udp2 )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_udp2 )
( cd usr/lib/nagios/plugins ; rm -rf check_simap )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_simap )
( cd usr/lib/nagios/plugins ; rm -rf check_spop )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_spop )
( cd usr/lib/nagios/plugins ; rm -rf check_jabber )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_jabber )
( cd usr/lib/nagios/plugins ; rm -rf check_nntps )
( cd usr/lib/nagios/plugins ; ln -sf check_tcp check_nntps )
( cd usr/lib/nagios/plugins ; rm -rf check_ldaps )
( cd usr/lib/nagios/plugins ; ln -sf check_ldap check_ldaps )
